View unanswered posts | View active topics It is currently Sun Dec 21, 2014 8:55 pm



Post new topic Reply to topic  [ 43 posts ]  Go to page Previous  1, 2, 3, 4, 5  Next
 Problems installing OpenRPG on OS X 10.6 
Author Message

Joined: Thu Jul 07, 2011 11:14 pm
Posts: 18
Post Re: Problems installing OpenRPG on OS X 10.6
Okay, so if I take this from Start.

I'll uninstall all the Python and OpenRPG Files, then can you give me the Programs I have to install and then what to do with them?

Sorry for all the trouble,

TheVoid


Sun Jul 10, 2011 5:19 am
Profile
User avatar

Joined: Wed Dec 09, 2009 9:39 pm
Posts: 712
Post Re: Problems installing OpenRPG on OS X 10.6
You are going to need to work with Python 2.5. So, let's get that first: http://www.python.org/ftp/python/2.5.4/ ... macosx.dmg
Then you need the correct wxPython for Python 2.5 found here: http://sourceforge.net/projects/wxpytho ... g/download

After you install those, then try the methods explained above. Since I'm helping you out, would take a moment to look over the Traipse fork of OpenRPG I am working on? Traipse: http://www.knowledgearcana.com/traipse-openrpg

_________________
I ate your Death Knell.
The Traipse Movement
Please show your support for Traipse OpenRPG http://www.facebook.com/MadMathLabs
Send me Traipse OpenRPG Ideas, Bugs, Complaints, Praises here: https://getsatisfaction.com/mml


Sun Jul 10, 2011 5:28 am
Profile YIM WWW

Joined: Thu Jul 07, 2011 11:14 pm
Posts: 18
Post Re: Problems installing OpenRPG on OS X 10.6
And it works! I didn't have to do anything other than istall the right version.
(Wow, I am a Dunce) Still, thanks for tolerating me.


Mon Jul 11, 2011 4:38 pm
Profile
User avatar

Joined: Wed Dec 09, 2009 9:39 pm
Posts: 712
Post Re: Problems installing OpenRPG on OS X 10.6
No problem.

_________________
I ate your Death Knell.
The Traipse Movement
Please show your support for Traipse OpenRPG http://www.facebook.com/MadMathLabs
Send me Traipse OpenRPG Ideas, Bugs, Complaints, Praises here: https://getsatisfaction.com/mml


Mon Jul 11, 2011 6:19 pm
Profile YIM WWW

Joined: Wed Oct 13, 2010 4:58 pm
Posts: 69
Post Curious: How do you like OpenRPG on Snow Leopard?
I never tried to install it. I use VIrtualBox >> Ubuntu 10.04 LTE >> Traipse.

I had lots of trouble installing OpenRPG when I was running CentOS. That's when I came upon the VirtualBox >> Ubuntu alternative. When I switched from CentOS to Mac OS X, I just installed VirtualBox and transferred the VDM to my new hardware (I use VirtualBox for more than just OpenRPG).

I am wondering now if a native version of OpenRPG or Traipse might be worth the hassle of installing it. Feedback appreciated!


Tue Jul 12, 2011 12:12 pm
Profile
User avatar

Joined: Wed Dec 09, 2009 9:39 pm
Posts: 712
Post Re: Problems installing OpenRPG on OS X 10.6
Virtual Box and a running Linux OS as over head ...? Yeah, you should try and get a native running instance. Is your question regarding Mac OS X?

_________________
I ate your Death Knell.
The Traipse Movement
Please show your support for Traipse OpenRPG http://www.facebook.com/MadMathLabs
Send me Traipse OpenRPG Ideas, Bugs, Complaints, Praises here: https://getsatisfaction.com/mml


Tue Jul 12, 2011 3:37 pm
Profile YIM WWW

Joined: Wed Oct 13, 2010 4:58 pm
Posts: 69
Post Re: Problems installing OpenRPG on OS X 10.6
Ok, I decided to try installing and running Traipse under Mac OS X 10.6.8 with the following result.

Code:
Mini:Traipse phillyg$ less ./System/openrpg_sysinfo.txt

OpenRPG System Info 09-19-11
OpenRPG Version: 1.8.0
OpenRPG Build: 110114-00
Python: 2.6.1 (r261:67515, Jun 24 2010, 21:47:49)
[GCC 4.2.1 (Apple Inc. build 5646)]
wxPython Version: 2.8.10.1
Platform: Darwin-10.8.0-i386-64bit

Mini:Traipse phillyg$ python Traipse.pyw
Rooting OpenRPG at: /Users/phillyg/Traipse/System
Error in sys.excepthook:
Traceback (most recent call last):
  File "/Users/phillyg/Traipse/System/orpg/tools/orpg_log.py", line 55, in Crash
    logger.exception(msg)
  File "/Users/phillyg/Traipse/System/orpg/tools/orpg_log.py", line 176, in exception
    component.get('frame').TraipseSuiteWarn('debug')
AttributeError: 'NoneType' object has no attribute 'TraipseSuiteWarn'

Original exception was:
Traceback (most recent call last):
  File "Traipse.pyw", line 8, in <module>
    except: runpy.run_module('start_release')
  File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/runpy.py", line 139, in run_module
    fname, loader, pkg_name)
  File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/runpy.py", line 34, in _run_code
    exec code in run_globals
  File "/Users/phillyg/Traipse/System/start_release.py", line 9, in <module>
    app = upmana.updatemana.updateApp(0)
  File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/wx-2.8-mac-unicode/wx/_core.py", line 7913, in __init__
    self._BootstrapApp()
  File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/wx-2.8-mac-unicode/wx/_core.py", line 7487, in _BootstrapApp
    return _core_.PyApp__BootstrapApp(*args, **kwargs)
  File "/Users/phillyg/Traipse/System/upmana/updatemana.py", line 791, in OnInit
    component, manifest, self.main)
  File "/Users/phillyg/Traipse/System/upmana/updatemana.py", line 759, in __init__
    page3 = Manifest(nb)
  File "/Users/phillyg/Traipse/System/upmana/updatemana.py", line 462, in __init__
    self.mana = self.LoadDoc()
  File "/Users/phillyg/Traipse/System/upmana/updatemana.py", line 489, in LoadDoc
    self.manifestlog.SetCheckedStrings(ignorelist)
AttributeError: 'CheckListBox' object has no attribute 'SetCheckedStrings'
Mini:Traipse phillyg$


Any suggestions?


Mon Sep 19, 2011 4:57 pm
Profile

Joined: Wed Oct 13, 2010 4:58 pm
Posts: 69
Post Re: Problems installing OpenRPG on OS X 10.6
I also tried using python version 2.54

Code:
Mini:Traipse phillyg$ python2.5
Python 2.5.4 (r254:67916, Jun 24 2010, 21:47:25)
[GCC 4.2.1 (Apple Inc. build 5646)] on darwin
Type "help", "copyright", "credits" or "license" for more information.
>>> ^D
Mini:Traipse phillyg$ python2.5 Traipse.pyw
Rooting OpenRPG at: /Users/phillyg/Traipse/System
Error in sys.excepthook:
Traceback (most recent call last):
  File "/Users/phillyg/Traipse/System/orpg/tools/orpg_log.py", line 55, in Crash
    logger.exception(msg)
  File "/Users/phillyg/Traipse/System/orpg/tools/orpg_log.py", line 176, in exception
    component.get('frame').TraipseSuiteWarn('debug')
AttributeError: 'NoneType' object has no attribute 'TraipseSuiteWarn'

Original exception was:
Traceback (most recent call last):
  File "/Users/phillyg/Traipse/Traipse.pyw", line 8, in <module>
    except: runpy.run_module('start_release')
  File "/System/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/runpy.py", line 95, in run_module
    filename, loader, alter_sys)
  File "/System/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/runpy.py", line 65, in _run_module_code
    mod_name, mod_fname, mod_loader)
  File "/System/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/runpy.py", line 32, in _run_code
    exec code in run_globals
  File "/Users/phillyg/Traipse/System/start_release.py", line 9, in <module>
    app = upmana.updatemana.updateApp(0)
  File "/System/Library/Frameworks/Python.framework/Versions/2.5/Extras/lib/python/wx-2.8-mac-unicode/wx/_core.py", line 7913, in __init__
    self._BootstrapApp()
  File "/System/Library/Frameworks/Python.framework/Versions/2.5/Extras/lib/python/wx-2.8-mac-unicode/wx/_core.py", line 7487, in _BootstrapApp
    return _core_.PyApp__BootstrapApp(*args, **kwargs)
  File "/Users/phillyg/Traipse/System/upmana/updatemana.py", line 791, in OnInit
    component, manifest, self.main)
  File "/Users/phillyg/Traipse/System/upmana/updatemana.py", line 759, in __init__
    page3 = Manifest(nb)
  File "/Users/phillyg/Traipse/System/upmana/updatemana.py", line 462, in __init__
    self.mana = self.LoadDoc()
  File "/Users/phillyg/Traipse/System/upmana/updatemana.py", line 489, in LoadDoc
    self.manifestlog.SetCheckedStrings(ignorelist)
AttributeError: 'CheckListBox' object has no attribute 'SetCheckedStrings'
Mini:Traipse phillyg$


Same difference!

Help, please!


Mon Sep 19, 2011 5:06 pm
Profile
User avatar

Joined: Wed Dec 09, 2009 9:39 pm
Posts: 712
Post Re: Problems installing OpenRPG on OS X 10.6
You are using an older version of wxPython.

_________________
I ate your Death Knell.
The Traipse Movement
Please show your support for Traipse OpenRPG http://www.facebook.com/MadMathLabs
Send me Traipse OpenRPG Ideas, Bugs, Complaints, Praises here: https://getsatisfaction.com/mml


Mon Sep 19, 2011 5:29 pm
Profile YIM WWW

Joined: Wed Oct 13, 2010 4:58 pm
Posts: 69
Post Re: Problems installing OpenRPG on OS X 10.6
prof.ebral wrote:
You are going to need to work with Python 2.5. So, let's get that first: http://www.python.org/ftp/python/2.5.4/ ... macosx.dmg
Then you need the correct wxPython for Python 2.5 found here: http://sourceforge.net/projects/wxpytho ... g/download

After you install those, then try the methods explained above. Since I'm helping you out, would take a moment to look over the Traipse fork of OpenRPG I am working on? Traipse: http://www.knowledgearcana.com/traipse-openrpg


I am using this version of wxPython. Which version should I be using?


Mon Sep 19, 2011 6:38 pm
Profile
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 43 posts ]  Go to page Previous  1, 2, 3, 4, 5  Next


Who is online

Users browsing this forum: No registered users and 2 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
cron
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group.
Designed by Vjacheslav Trushkin for Free Forums/DivisionCore.